 REM -- H2XSEA.BAT - 31.9 PG/SEAT.FTP INTFC -     ..2006MAY07PE/2006JUL03PE
 REM --                              ../2009JUL15PE/2010MAY06PE/2010JUN18PE
@ECHO Off
 REM -- COPYRIGHT (C) 2002-2006 H.W.PETER, WUPPERTAL .DE --
 REM -- COPYRIGHT (C) 2002-2006 PETER+GEISENDORF GMBH, SPROCKHOEVEL .DE --
 REM
 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------
 REM -- \\UFN=OK, 2004OCT27PE,2006MAY09PE

 REM -- EPCSENSE=*=C:\SEAEPC\WILKE.EBS
 REM -- EPCSENSE=*=C:\SEAEPC\WILKE.EBS
 REM -- EPCSENSE=!

 rem -- IF "%1"=="OQX" GOTO OQX
 rem -- IF "%1"=="FT"  GOTO OQX



 IF     "%1"=="VIN" GOTO VIN

 IF     "%1"=="D2037" GOTO D2037
 IF     "%1"=="MGA" GOTO MGA

 IF     "%1"=="D2038" GOTO D2038
 IF     "%1"=="BFA" GOTO BFA

 IF     "%1"=="FTU" GOTO FTU
 IF     "%1"=="FTD" GOTO FTD

 IF     "%1"=="FTX" GOTO FTX

 IF     "%1"=="FTH" GOTO FTH



ECHO ----------------------------------------------------------------------
ECHO %0:
ECHO INVALID CONTEXT CALL
ECHO UNGUELTIGER AUFRUF
ECHO ----------------------------------------------------------------------
ECHO %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
PAUSE
GOTO ENDUP


 REM 
 REM -- H2XSEA.BAT - VIN automatic notice -- 2006JUN29PE --

 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------

:VIN
 REM -- %0=H2XSEA %1=VIN %2=srce file id (e.g. S$SEA$$$.PGO)

@REM -- based upon H2XJAV.BAT 2006JUN28PE/2006JUN29PE
@rem -- executing PGOFFICE\, referencing PGOFFICE\SEADCS\

@REM -- to execute java.exe
        SET PATH=%PATH%;.\SEADCS\JRE15006\bin

@REM -- to execute DMSConnector.class
        SET classpath=.\SEADCS\
        SET classpath=%classpath%;.\SEADCS\JRE15006
        SET classpath=%classpath%;.\SEADCS\JRE15006\soap.jar
        SET classpath=%classpath%;.\SEADCS\JRE15006\mail.jar
        SET classpath=%classpath%;.\SEADCS\JRE15006\activation.jar

@REM -- to compile DMSConnector.java
@REM -- SET classpath=%classpath%;C:\Programme\Java\jdk1.5.0_04\bin\javac
@REM -- C:\Programme\Java\jdk1.5.0_04\bin\javac  .\SEADCS\DMSConnector.java

ECHO -- SEAT automatic notice -- start --
ECHO --
@REM -- 2006JUN29 http://seat-it-.. /schnittstellen/index.html p.2/3
@REM -- TEST  DMSConnector  https://app.seat-it-services.de/jonas/soap/servlet/rpcrouter  %2
@REM -- java  DMSConnector  https://app.seat-it-services.de/jonas/soap/servlet/rpcrouter  %2
@REM -- PRAX  DMSConnector  http://10.112.235.100/jonas/soap/servlet/rpcrouter  %2
@REM -- java  DMSConnector  http://10.112.235.100/jonas/soap/servlet/rpcrouter  %2
        java  DMSConnector  http://10.112.235.100/jonas/soap/servlet/rpcrouter  %2

ECHO --
ECHO -- SEAT automatic notice -- end ...RETURN --
ECHO --
PAUSE >NUL:

:VIN68
 GOTO VINEND

:VINEND
 GOTO ENDXX

 REM 
 REM -- H2XSEA.BAT - MGA MobilitaetsGarantie -- 2009JUN17PE --

 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------

:D2037
:MGA
 REM -- %0=H2XSEA %1=MGA %2=srce file id (e.g. R$SEA$$$.XRQ)

@REM -- based upon H2XJAV.BAT 2006JUN28PE/2006JUN29PE
@rem -- executing PGOFFICE\, referencing PGOFFICE\SEADCS\

@REM -- to execute java.exe
@REM -- SET PATH=%PATH%;.\SEADCS\JRE15006\bin
        SET PATH=.\SEADCS\PGOJRX\bin;%PATH%

@rem -- to compile (only), add this following line --
    SET PATH=C:\Programme\Java\jdk1.5.0_04\bin\;%PATH%

@REM -- to execute SEADCS\H4XSEAMG\H4XSEAMG.JAR
        SET classpath=.\SEADCS\
        SET classpath=%classpath%;.\SEADCS\PGOJRX
        SET classpath=%classpath%;.\SEADCS\PGOJRX\soap.jar
        SET classpath=%classpath%;.\SEADCS\PGOJRX\mail.jar
        SET classpath=%classpath%;.\SEADCS\PGOJRX\activation.jar

@rem -- to create module(s), path to java SDK is required
@rem -- Path=%path%;C:\Programme\Java\jdk1.5.0_04\bin
@rem -- call  C:\PGOFFICE\PGOANT\bin\ant  -buildfile H4XSEAMG.ANT  clean, init, jar.all, gogo0

ECHO -- SEAT Mobilitaets-Garantie -- start --
ECHO --

@rem -- to execute module(s), no path modification should be necessary
@rem    call  PGOANT\bin\ant  -buildfile  SEADCS\H4XSEAMG\H4XSEAMG.ANT  gogo
@REM ** <java classname="de.seat.mobidat.ws.mobilitaetsGarantie.test.H4XSEAMG"> -->
@REM ** <java classname="H4XSEAMG">
@rem --         java  -jar  H4XSEAMG.JAR  http://10.112.235.100/jonas/soap/servlet/rpcrouter  %2
@rem    C:\PGOFFICE\PGOJRX\apache-ant-1.7.1\bin\ant.bat  -buildfile H4XSEAMG.XML  clean, init, jar.all, gogo0
@rem    C:\PGOFFICE\PGOJRX\apache-ant-1.7.1\bin\ant.bat  -buildfile H4XSEAMG.ANT  gogo

@rem -- setup for following ANT processing
@rem -- SET  PGOSVR=https://app.seat-it-services.de/ws-int/mobilitaetsgarantie/MobilitaetsGarantieService
@rem -- SET  PGOSVR=https://app.seat-it-services.de/ws/mobilitaetsgarantie/MobilitaetsGarantieService
        SET  PGOSVR=https://app.seat-it-services.de/ws/mobilitaetsgarantie/MobilitaetsGarantieService
        SET  PGOSRC=%2.TSV


   SET  PGOSVR=https://app.seat-it-services.de/ws-int/mobilitaetsgarantie/MobilitaetsGarantieService
   SET  PGOSVR=https://app.seat-it-services.de/ws/mobilitaetsgarantie/MobilitaetsGarantieService


@rem -- SET

@rem -- java  -jar  SEADCS\H4XSEAMG\H4XSEAMG.JAR  https://app.seat-it-services.de/ws-int/mobilitaetsgarantie/MobilitaetsGarantieService  %2
@rem    call  PGOANT\bin\ant  -buildfile  SEADCS\H4XSEAMG\H4XSEAMG.ANT  clean, init, jar.all, gogo0
@rem    call  PGOANT\bin\ant  -buildfile  SEADCS\H4XSEAMG\H4XSEAMG.ANT  gogo
@rem    call  PGOANT\bin\ant  -buildfile  SEADCS\H4XSEAMG\H4XSEAMG.ANT  clean, init, jar.all, gogo0

@rem C:\PGOFFICE\PGOJRX\bin\java  -jar C:\Inetpub\wwwroot\PGOBRIXX\PGOBRIXX.NEX  -test  -put/%2.XXX  -seat/-mga/https://app.seat-it-services.de/ws-int/mobilitaetsgarantie/MobilitaetsGarantieService  -get/%2.TSV
@rem PGOJRX\bin\java  -jar  H2XSEA.JAR  -test  -put/%2.XXX  -seat/-d2037/%PGOSVR%  -get/%2.TSV
     PGOJRX\bin\java  -jar  H2XSEA.JAR         -put/%2.XXX  -seat/-d2037/%PGOSVR%  -get/%2.TSV

ECHO --
ECHO -- SEAT Mobilitaets-Garantie -- end ...RETURN --
ECHO --
@rem    start       %2.HTA
    PAUSE >NUL:

:MGA68
 GOTO MGAEND


:MGAEND
 GOTO ENDXX
 GOTO ENDZZ

 REM 
 REM -- H2XSEA.BAT - MGA MobilitaetsGarantie -- 2009JUN17PE --

 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------

:D2038
:BFA
 REM -- %0=H2XSEA %1=BFA %2=srce file id (e.g. R$SEA$$$.XRQ)

@rem -- executing PGOFFICE\, referencing PGOFFICE\SEADCS\

@REM -- to execute java.exe
@REM -- SET PATH=%PATH%;.\SEADCS\JRE15006\bin
        SET PATH=.\SEADCS\PGOJRX\bin;%PATH%

@rem -- to compile (only), add this following line --
        SET PATH=C:\Programme\Java\jdk1.5.0_04\bin\;%PATH%

@rem -- to create module(s), path to java SDK is required
@rem -- Path=%path%;C:\Programme\Java\jdk1.5.0_04\bin
@rem -- call  C:\PGOFFICE\PGOANT\bin\ant  -buildfile H4XSEAMG.ANT  clean, init, jar.all, gogo0

ECHO -- SEAT D2038/BINFA -- start --
ECHO --

   SET  PGOSVR=https://app.seat-it-services.de/ws-int/binfa/BinfaService
   SET  PGOSVR=https://app.seat-it-services.de/ws/binfa/BinfaService

@rem C:\PGOFFICE\PGOJRX\bin\java  -jar C:\Inetpub\wwwroot\PGOBRIXX\PGOBRIXX.NEX  -test  -put/%2.XXX  -seat/-d2038/https://app.seat-it-services.de/ws-int/binfa/BinfaService  -get/%2.TSV
     PGOJRX\bin\java  -jar  H2XSEA.JAR   -put/%2.XXX  -seat/-d2038/%PGOSVR%  -get/%2.TSV

ECHO --
ECHO -- SEAT D2038/BINFA -- end ...RETURN --
ECHO --
@rem    start       %2.HTA
    PAUSE >NUL:

:BFA68
 GOTO BFAEND


:BFAEND
 GOTO ENDXX
 GOTO ENDZZ


 REM 
 REM -- H2XSEA.BAT - FTU export - internet ftp upload C6????.01E --

 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------

:FTU
 REM -- %0=H2XSEA %1=FTU %2=*homedisk %3=*homepath %4=C6????.01E file id --
 REM --                  %5=WHO process extension id --
 REM --                  %6=userid --
 REM --           %1=FTU for FTP transfer via local machine --

 REM -- test: SET PGOGOGO=TYPE   H2XSEA.FTP
 REM -- prax: SET PGOGOGO=FTP -s:H2XSEA.FTP>NUL:
              SET PGOGOGO=FTP -s:H2XSEA.FTP>NUL:

              SET PGOUSER=%6
              SET PGOUSER=

     GOTO FTU08
ECHO ----------------------------------------------------------------------
ECHO %0:
ECHO CONTEXT CALL
ECHO AUFRUF
ECHO ----------------------------------------------------------------------
ECHO %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
CD
:FTU08



     GOTO FTU18
ECHO ----------------------------------------------------------------------
ECHO %0 - SEAT ftp communication
ECHO --
ECHO -- Starten/Oeffnen Sie bitte jetzt ggf. Ihre Internet-Verbindung.
ECHO -- Check/Enable internet access, please.
ECHO --                                                           ...RETURN
ECHO --
ECHO ----------------------------------------------------------------------
PAUSE >NUL:
:FTU18



:FTU2
 REM
 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------

 REM -- create valid directory entry for data export --
 IF     EXIST SEADCS\*.*        GOTO FTU20
 IF     EXIST SEADCS\NUL        GOTO FTU20
 IF     EXIST SEADCS\NUL:       GOTO FTU20
 MD           SEADCS
:FTU20
 CLS

 CD           SEADCS



:FTU4

 REM
 REM -- resume/force upload after an incomplete transmission

 IF     EXIST ENVIOS.SVE         REN ENVIOS.SVE   ENVIOS
 IF     EXIST ENVIOS            GOTO FTU45


 REM
 REM -- check for free ENVIOS at SEAT server

                                TYPE ..\%5                > H2XSEA.FTP
 IF NOT "%PGOUSER%"==""         ECHO cd   %PGOUSER%      >> H2XSEA.FTP

                                ECHO cd   send           >> H2XSEA.FTP
                                ECHO mget ENVIOS         >> H2XSEA.FTP
                                ECHO cd   ..             >> H2XSEA.FTP

                                ECHO close               >> H2XSEA.FTP
                                ECHO bye                 >> H2XSEA.FTP

                                          %PGOGOGO%


 IF NOT EXIST ENVIOS            GOTO FTU42
 IF     EXIST ENVIOS             DEL ENVIOS

ECHO ----------------------------------------------------------------------
ECHO %0 - SEAT ftp communication
ECHO --
ECHO ** **    SEAT HAT LETZTE UEBERTRAGUNG NOCH NICHT UEBERNOMMEN.    ** **
ECHO ** **    MUST WAIT FOR SEAT TO CONSUME LAST ENVIOS TRANSFER.     ** **
ECHO --
ECHO --                                                           ...RETURN
ECHO --
ECHO ----------------------------------------------------------------------
PAUSE >NUL:
GOTO FTU48



:FTU42
 REM
 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------
 REM
 REM -- enqueue actual upload data

 IF NOT EXIST ENVIOS.NEW        GOTO FTU44
                                TYPE ENVIOS.NEW          >> ENVIOS.NOW
                                 DEL ENVIOS.NEW
                                 DEL ..\%4
                            ECHO OK >..\C699OK.01E

:FTU44



 REM
 REM -- prepare upload as data to transfer are present

 IF NOT EXIST ENVIOS.NOW        GOTO FTU46
 IF     EXIST ENVIOS             DEL ENVIOS
        REN   ENVIOS.NOW             ENVIOS



 REM
 REM -- resume after an incomplete transmission

:FTU45

 REM
 REM -- try upload as data to transfer are present

                                TYPE ..\%5                > H2XSEA.FTP
 IF NOT "%PGOUSER%"==""         ECHO cd   %PGOUSER%      >> H2XSEA.FTP

                                ECHO cd   send           >> H2XSEA.FTP
                                ECHO put  ENVIOS         >> H2XSEA.FTP
 IF     EXIST PCJG????.JPG      ECHO mdel PCJG????.JPG   >> H2XSEA.FTP
                                ECHO cd   ..             >> H2XSEA.FTP

                                ECHO close               >> H2XSEA.FTP
                                ECHO bye                 >> H2XSEA.FTP

                                          %PGOGOGO%

 IF     EXIST ENVIOS.SVE         DEL ENVIOS.SVE
                                 REN ENVIOS       ENVIOS.SVE



                                TYPE ..\%5                > H2XSEA.FTP
 IF NOT "%PGOUSER%"==""         ECHO cd   %PGOUSER%      >> H2XSEA.FTP

                                ECHO cd   send           >> H2XSEA.FTP
                                ECHO get  ENVIOS         >> H2XSEA.FTP
 IF     EXIST PCJG????.JPG      ECHO mdel PCJG????.JPG   >> H2XSEA.FTP
                                ECHO cd   ..             >> H2XSEA.FTP

                                ECHO close               >> H2XSEA.FTP
                                ECHO bye                 >> H2XSEA.FTP

                                          %PGOGOGO%

 IF NOT EXIST ENVIOS            GOTO FTU45ERR



:FTU45ACK
 IF     EXIST ENVIOS             DEL ENVIOS
 IF     EXIST ENVIOS.SVE         REN ENVIOS.SVE   ENVIOS

 REM
 REM -- save latest upload sequence for about a week

 IF     EXIST ENVIOS.009         DEL ENVIOS.009
 IF     EXIST ENVIOS.008         REN ENVIOS.008        *.009
 IF     EXIST ENVIOS.007         REN ENVIOS.007        *.008
 IF     EXIST ENVIOS.006         REN ENVIOS.006        *.007
 IF     EXIST ENVIOS.005         REN ENVIOS.005        *.006
 IF     EXIST ENVIOS.004         REN ENVIOS.004        *.005
 IF     EXIST ENVIOS.003         REN ENVIOS.003        *.004
 IF     EXIST ENVIOS.002         REN ENVIOS.002        *.003
 IF     EXIST ENVIOS.001         REN ENVIOS.001        *.002
 IF     EXIST ENVIOS.000         REN ENVIOS.000        *.001
                                 REN ENVIOS       ENVIOS.000
 GOTO   FTU46



:FTU45ERR
ECHO ----------------------------------------------------------------------
ECHO %0 - SEAT ftp communication
ECHO --
ECHO ** **    DIE AKTUELLE ENVIOS-UEBERTRAGUNG WAR NICHT ERFOLGREICH. ** **
ECHO ** **    CURRENT ENVIOS UPLOAD ATTEMPT WAS NOT SUCCESSFUL.       ** **
ECHO -- 
ECHO --                                                           ...RETURN
ECHO --
ECHO ----------------------------------------------------------------------
PAUSE >NUL:
 GOTO   FTU48



:FTU46

 REM
 REM -- append image files as required

 IF NOT EXIST PCJG????.JPG      GOTO FTU47

                                TYPE ..\%5                > H2XSEA.FTP
 IF NOT "%PGOUSER%"==""         ECHO cd   %PGOUSER%      >> H2XSEA.FTP

                                ECHO cd   send           >> H2XSEA.FTP
                                ECHO mput PCJG????.JPG   >> H2XSEA.FTP
                                ECHO cd   ..             >> H2XSEA.FTP

                                ECHO close               >> H2XSEA.FTP
                                ECHO bye                 >> H2XSEA.FTP

                                          %PGOGOGO%

 IF    EXIST PCJG????.JPG        DEL PCJG????.JPG

:FTU47
 GOTO   FTU48



:FTU48

 REM  -- always try download any existing actual data from SEAT server

 GOTO FTD4



 REM 
 REM -- H2XSEA.BAT - FTD import - internet ftp download C4????.01E --

 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------

:FTD
 REM -- %0=H2XSEA %1=FTD %2=*homedisk %3=*homepath %4=C6????.01E file id --
 REM --                  %5=WHO process extension id --
 REM --                  %6=userid --
 REM --           %1=FTD for FTP transfer via local machine --

 REM -- test: SET PGOGOGO=TYPE   H2XSEA.FTP
 REM -- prax: SET PGOGOGO=FTP -s:H2XSEA.FTP>NUL:
              SET PGOGOGO=FTP -s:H2XSEA.FTP>NUL:

              SET PGOUSER=%6
              SET PGOUSER=

     GOTO FTD08
ECHO ----------------------------------------------------------------------
ECHO %0:
ECHO CONTEXT CALL
ECHO AUFRUF
ECHO ----------------------------------------------------------------------
ECHO %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
CD
:FTD08



     GOTO FTD18
ECHO ----------------------------------------------------------------------
ECHO %0 - SEAT ftp communication
ECHO --
ECHO -- Starten/Oeffnen Sie bitte jetzt ggf. Ihre Internet-Verbindung.
ECHO -- Check/Enable internet access, please.
ECHO --                                                           ...RETURN
ECHO --
ECHO ----------------------------------------------------------------------
PAUSE >NUL:
:FTD18



:FTD2
 REM
 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------

 REM -- create valid directory entry for data export --
 IF     EXIST SEADCS\*.*        GOTO FTD20
 IF     EXIST SEADCS\NUL        GOTO FTD20
 IF     EXIST SEADCS\NUL:       GOTO FTD20
 MD           SEADCS
:FTD20
 CLS

 CD           SEADCS



 REM -- entry here from FTU upload
:FTD4

 REM
 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------
 REM
 REM -- download actual import G0000V00.*,

                                TYPE ..\%5                > H2XSEA.FTP
 IF NOT "%PGOUSER%"==""         ECHO cd   %PGOUSER%      >> H2XSEA.FTP

                                ECHO cd   receive        >> H2XSEA.FTP
                                ECHO mget G0000V00*      >> H2XSEA.FTP
                                ECHO mdel G0000V00*      >> H2XSEA.FTP
                                ECHO cd   ..             >> H2XSEA.FTP

                                ECHO close               >> H2XSEA.FTP
                                ECHO bye                 >> H2XSEA.FTP

                                          %PGOGOGO%



 REM
 REM -- save latest download sequence for about a week

 IF NOT EXIST G0000V00          GOTO FTD46

 IF     EXIST G0000V00.$$$       DEL G0000V00.$$$
                                 REN G0000V00     G0000V00.$$$

 IF     EXIST ENVIOR.009         DEL ENVIOR.009
 IF     EXIST ENVIOR.008         REN ENVIOR.008        *.009
 IF     EXIST ENVIOR.007         REN ENVIOR.007        *.008
 IF     EXIST ENVIOR.006         REN ENVIOR.006        *.007
 IF     EXIST ENVIOR.005         REN ENVIOR.005        *.006
 IF     EXIST ENVIOR.004         REN ENVIOR.004        *.005
 IF     EXIST ENVIOR.003         REN ENVIOR.003        *.004
 IF     EXIST ENVIOR.002         REN ENVIOR.002        *.003
 IF     EXIST ENVIOR.001         REN ENVIOR.001        *.002
 IF     EXIST ENVIOR.000         REN ENVIOR.000        *.001
                            COPY /B  G0000V00.*   ENVIOR.000
:FTD46



 REM
 REM -- we're done

 IF     EXIST H2XSEA.FTP                                DEL H2XSEA.FTP
 IF     EXIST ..\%5                                     DEL ..\%5



:FTD8
ECHO ----------------------------------------------------------------------
ECHO %0 - SEAT ftp communication complete
ECHO --                                                           ...RETURN
ECHO --
ECHO ----------------------------------------------------------------------
PAUSE >NUL:



     GOTO FTD88
ECHO ----------------------------------------------------------------------
ECHO %0 - SEAT ftp communication
ECHO --
ECHO -- Die Internet-Verbindung wird fuer ftp nicht mehr benoetigt.
ECHO -- ftp no longer needs internet access.
ECHO --                                                           ...RETURN
ECHO --
ECHO ----------------------------------------------------------------------
PAUSE >NUL:
:FTD88

EXIT
GOTO ENDXX



 REM 
 REM -- H2XSEA.BAT - FTX demo  --

 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------

:FTX
 REM -- %0=H2XSEA %1=FTX %2=*homedisk %3=*homepath %4=C6????.01E file id --
 REM --                  %5=WHO process extension id --
 REM --                  %6=userid --
 REM --           %1=FTX for FTP transfer via local machine --

 REM -- test: SET PGOGOGO=TYPE   H2XSEA.FTP
 REM -- prax: SET PGOGOGO=FTP -s:H2XSEA.FTP>NUL:
              SET PGOGOGO=TYPE   H2XSEA.FTP

              SET PGOUSER=%6
              SET PGOUSER=

 rem GOTO FTX08
ECHO ----------------------------------------------------------------------
ECHO %0:
ECHO CONTEXT CALL
ECHO AUFRUF
ECHO ----------------------------------------------------------------------
ECHO %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
CD
:FTX08



:FTX2
 REM
 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------

 REM -- create valid directory entry for data export --
 IF     EXIST SEADCS\*.*        GOTO FTX20
 IF     EXIST SEADCS\NUL        GOTO FTX20
 IF     EXIST SEADCS\NUL:       GOTO FTX20
 MD           SEADCS
:FTX20
 CLS

 CD           SEADCS



:FTX4

 REM
 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------
 REM
 REM -- demo FTP setup

                                TYPE ..\%5                > H2XSEA.FTP
 IF NOT "%PGOUSER%"==""         ECHO cd   %PGOUSER%      >> H2XSEA.FTP

                                ECHO cd   receive        >> H2XSEA.FTP
                                ECHO cd   ..             >> H2XSEA.FTP

                                ECHO close               >> H2XSEA.FTP
                                ECHO bye                 >> H2XSEA.FTP

                                          %PGOGOGO%



 REM
 REM -- we're done

 IF     EXIST H2XSEA.FTP                                DEL H2XSEA.FTP
 IF     EXIST ..\%5                                     DEL ..\%5



:FTX8
ECHO ----------------------------------------------------------------------
ECHO %0 - SEAT ftp demo communication complete
ECHO --                                                           ...RETURN
ECHO --
ECHO ----------------------------------------------------------------------
PAUSE >NUL:



     GOTO FTX88
ECHO ----------------------------------------------------------------------
ECHO %0 - SEAT ftp communication
ECHO --
ECHO -- Die Internet-Verbindung wird fuer ftp nicht mehr benoetigt.
ECHO -- ftp no longer needs internet access.
ECHO --                                                           ...RETURN
ECHO --
ECHO ----------------------------------------------------------------------
PAUSE >NUL:
:FTX88

EXIT
GOTO ENDXX



 REM 
 REM -- H2XSEA.BAT - FTH linkage --

 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------

:FTH
 REM -- %0=H2XSEA %1=FTH %2=*homedisk %3=*homepath %4=C6????.01E file id --
 REM --                  %5=WHO process extension id --
 REM --                  %6=userid --
 REM --           %1=FTH for FTP transfer via local machine --

 REM -- test: SET PGOGOGO=TYPE   H2XSEA.FTP
 REM -- prax: SET PGOGOGO=FTP -s:H2XSEA.FTP>NUL:
              SET PGOGOGO=TYPE   H2XSEA.FTP

              SET PGOUSER=%6
              SET PGOUSER=

     GOTO FTH08
ECHO ----------------------------------------------------------------------
ECHO %0:
ECHO CONTEXT CALL
ECHO AUFRUF
ECHO ----------------------------------------------------------------------
ECHO %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
 CD
:FTH08


 rem -- extract from A$XCOM.BAT 2006JUL01PE --
:W00
:W10
:W20
:W21
 rem -- %0=A$XCOM %1=W00/Wnn %2=H2Xxxx.bat %3..=parmlist --
 rem -- A$XX 28.4 2006JUN29PE
 rem -- A$XX 29.0 2006JUN29PE
 rem -- for thread inline exec only, see EXIT at W00END --
 rem -- %0 HTA for HTX via W00 2005DEC23PE
 rem -- detect MS Windows 2000/XP context --
 IF     "%ALLUSERSPROFILE%"==""   GOTO W00W2KX
 IF     "%OS%"==""                GOTO W00W2KX
 IF     "%HOMEDRIVE%"==""         GOTO W00W2KX
 IF     "%HOMEPATH%"==""          GOTO W00W2KX
 IF     "%SYSTEMDRIVE%"==""       GOTO W00W2KX
 IF     "%SYSTEMROOT%"==""        GOTO W00W2KX
 rem IF "%WINDIR%"==""            GOTO W00W2KX
 SET PGONETID=W20
 SHIFT
 CMD /E:32768 /C START /I /MAX  %1 %2 %3 %4 %5 %6 %7 %8 %9
 EXIT
 GOTO ENDXX
:W00W2KX

 rem -- detect MS Windows NT context --
 IF     "%OS%"==""                GOTO W00WNTX
 IF     "%SYSTEMDRIVE%"==""       GOTO W00WNTX
 IF     "%SYSTEMROOT%"==""        GOTO W00WNTX
 rem IF "%WINDIR%"==""            GOTO W00WNTX
 SET PGONETID=W20
 SHIFT
 CMD /E:32768 /C START /I /MAX  %1 %2 %3 %4 %5 %6 %7 %8 %9
 EXIT
 GOTO ENDXX
:W00WNTX

 rem -- detect MS Windows 95/98/ME context --
 IF     "%WINBOOTDIR%"==""        GOTO W00W95X
 IF     "%WINDIR%"==""            GOTO W00W95X
 SET PGONETID=W95
 SHIFT
 START /MAX /R  %1 %2 %3 %4 %5 %6 %7 %8 %9
 EXIT
 GOTO ENDXX
:W00W95X

ECHO ----------------------------------------------------------------------
ECHO %0:
ECHO UNABLE TO PROCESS MS WINDOWS CONTEXT CALL
ECHO UNGUELTIGER AUFRUF OHNE MS WINDOWS UMGEBUNG
ECHO ----------------------------------------------------------------------
ECHO %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
 PAUSE >NUL:
:W00END
 EXIT
 GOTO ENDXX



 REM 
 REM -- H2XSEA.BAT - FINAL --

 REM 6789.123456789.123456789.123456789.123456789.123456789.123456789.12345
 REM ----------------------------------------------------------------------

:ENDUP
 SET PGOEPCPI=

 REM -- now return to PGO home drive and resume PGO mainline --
 rem -- %2
 rem -- CD \
 rem -- CD %3
 SET  PGOEPCPI=PGOBEG
 IF "%PGONETID%"=="W10" SET PGOEPCPI=START /R /MAX PGOFFICE.PIF
 IF "%PGONETID%"=="W16" SET PGOEPCPI=START /R /MAX PGOFFICE.PIF
 IF "%PGONETID%"=="W95" SET PGOEPCPI=START /R /MAX PGOFFICE.PIF
 IF "%PGOEPCEX%"=="END" SET PGOEPCPI=
 %PGOEPCPI%

:ENDXX
 EXIT

:ENDZZ


 REM 